Subject: RE: [Ipoverib] draft-ietf-ipoib-ip-over-infiniband-00.txt

From: "Larsen, Roy K" <[email-masked]>
Date: Fri, 8 Feb 2002 11:49:47 -0800

Jerry,

Whether we include an LSAP or not, the RFC should simply be silent on other
uses of a QP that receives IPoIB frames.  The point is, the sentence in
question has no bearing on the proper implementation of IPoIB and is
therefore irrelevant.

Roy

-----Original Message-----
From: H.K. Jerry Chu [mailto:[email-masked]]
Sent: Friday, February 08, 2002 11:34 AM
To: [email-masked]; [email-masked]; [email-masked]
Subject: RE: [Ipoverib] draft-ietf-ipoib-ip-over-infiniband-00.txt

>It's starting to come together.  I do have two comments.
>
>The last sentence of section 3.0 states that QPs advertised for IP MUST NOT
>be used for other protocols.  Multiplexing use of QPs is an implementation
>concern and should not be governed by this RFC.

I agree. But this also hinges on the decision on EtherType. But even
without EtherType, one can argue if implementations can correctly demux
there is no need for the RFC to dictate anything further.

If the WG decides not to inlcude EtherType, we can replace the above by
a simple statement saying QP sharing is an implementation decision. But
if a QP is shared by multiple protocols, the implementation must ensure
a way to correct demuxing...

Jerry

>
>I feel the language for item b) in section 6.1.1 is not clear.  The third
>sentence could be read to mean that ALL IP communication (ARP/IPv4/IPv6)
>must use the same QP. But the last sentence specifically states that IPv4
>and ARP replies  are also directed to the same QPN.  Perhaps it would be
>best to be more explicit regarding unicast communication.  That is to say,
>the ARP request specifies the QPN for IPv4 and ARP replies and that the
>Neighbor Discovery multicast frames specify the QPN for IPv6 unicast
frames.
>An implementation may choose to use the same QPN for all IPoIB
>communications.
>
>Roy
>
>-----Original Message-----
>From: Vivek Kashyap [mailto:[email-masked]]
>Sent: Thursday, February 07, 2002 4:42 PM
>To: [email-masked]
>Subject: [Ipoverib] draft-ietf-ipoib-ip-over-infiniband-00.txt
>
>
>We submitted this draft today. A consensus call on the 'ethertype' use
>has not been made and based on the WG decision in that regard there
>may be a change in the sections on the frame format and MTU in this
>draft. However, we thought it important that we present the rest of
>the solution to the WG in parallel to the ongoing discussions.
>
>Please comment!
>
>Vivek
>
><snip>
>-- 
>Vivek Kashyap
>Linux Technology Center, IBM
>[email-masked] 
>[email-masked] 
>503 578 3422 (o)
>
>_______________________________________________
>IPoverIB mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/ipoverib
>
>_______________________________________________
>IPoverIB mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/ipoverib

_______________________________________________
IPoverIB mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipoverib